Bug 431175 - Review Request: xhotkeys - Hotkeys for the X-Window
Review Request: xhotkeys - Hotkeys for the X-Window
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 04:17 EST by Krzysztof Kurzawski
Modified: 2008-02-05 06:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 06:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
some spec fixes (1.42 KB, patch)
2008-02-02 08:58 EST, Parag AN(पराग)
no flags Details | Diff
Fix install locations in Makefile (1.29 KB, text/x-patch)
2008-02-02 08:59 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Krzysztof Kurzawski 2008-02-01 04:17:48 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys-0.9.8.3-1.fc8.src.rpm
Description: Xhotkeys provides a simple and easily configurable hotkey launcher for
the X-Window System, binding keys and mouse buttons to configurable commands.
It should work on all desktops (Gnome, KDE, Xfce, ...) available for the
GNU/Linux operating system. Configuration files can be modified manually or
using a graphical GTK+ configurator.
Comment 1 Krzysztof Kurzawski 2008-02-01 09:15:34 EST
- Correct install section
- Correct files section

Spec URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys-0.9.8.3-2.fc8.src.rpm
Comment 2 Parag AN(पराग) 2008-02-02 08:34:56 EST
koji build failed
http://koji.fedoraproject.org/koji/taskinfo?taskID=390860

You have missing BR: ImageMagick and also Requires: python-xlib
Comment 3 Krzysztof Kurzawski 2008-02-02 08:40:58 EST
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/xhotkeys/xhotkeys-0.9.8.3-3.fc8.src.rpm

Thanks for review!
Comment 4 Parag AN(पराग) 2008-02-02 08:58:35 EST
Created attachment 293793 [details]
some spec fixes
Comment 5 Parag AN(पराग) 2008-02-02 08:59:56 EST
Created attachment 293794 [details]
Fix install locations in Makefile

This will fix install locations as well as preserve timestamps
Comment 7 Parag AN(पराग) 2008-02-04 00:06:55 EST
When installed its not working because first time we try to use it try to find
.xhotkeys under your $HOME. I think you better remove SOURCE1 and provide
upstream desktop only.
Comment 8 Parag AN(पराग) 2008-02-04 00:14:06 EST
I think modifying SOURCE1 desktop file to include --config is enough
Comment 9 Krzysztof Kurzawski 2008-02-04 05:44:07 EST
Sorry, but could you repeat what have I to do?
Comment 10 Parag AN(पराग) 2008-02-04 06:59:58 EST
your SOURCE1 file should look like this
[Desktop Entry]
Encoding=UTF-8
Name=Xhotkeys
GenericName=Xhotkeys
Comment=Hotkeys for the X-Window
Exec=xhotkeys --config
Icon=xhotkeys
Terminal=false
Type=Application
Categories=Utility;
GenericName[pl_PL]=Xhotkeys


Note:- I suggest adding --config in Exec line
Comment 12 Parag AN(पराग) 2008-02-04 07:40:52 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=394380
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
6544b487e23ab1290078cff0f2e96a6f  xhotkeys_0.9.8.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop file installed correctly
+ GUI app.

APPROVED.

Comment 13 Krzysztof Kurzawski 2008-02-04 07:47:43 EST
New Package CVS Request
=======================
Package Name: xhotkeys
Short Description: Hotkeys for the X-Window
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-02-04 14:39:19 EST
cvs done.
Comment 15 Krzysztof Kurzawski 2008-02-05 06:49:20 EST
Imported and built. Thanks again for review!

Note You need to log in before you can comment on or make changes to this bug.